#------------------------------------------------------------------------------
#  Go Test Set for Artificial Boundary
#------------------------------------------------------------------------------

loadsgf sgf/group01.sgf
10 goal_search_group w H8
#? [J7]
# run out and connect with a safe group

loadsgf sgf/group02.sgf 212
20 goal_search_group w O14 
#? [N11]
# kill the big black group

loadsgf sgf/group02.sgf 209
30 goal_search_group b O14
#? [O11]
# save the big black group

loadsgf sgf/group03.sgf 146
40 goal_search_group w R11
#? [Q12|Q11|R12|Q13|P11|Q10]
# save the white group by connecting to another group

loadsgf sgf/group031.sgf
50 goal_search_group w H13
#? [J14]
# J14 is a sente, and then play G14 to save all groups

loadsgf sgf/group032.sgf 
60 goal_search_group w H13
#? [H14]
# H14 is much better than K13, and saves the two white blocks
# modified from group03.sgf with D10,D11 exchange

loadsgf sgf/group04m.sgf
70 goal_search_group w G12
#? [G14]
# very nice connection move

loadsgf sgf/group05.sgf
80 goal_search_group w E14
#? [E13]
# very nice connection move

loadsgf sgf/group06.sgf 165
90 goal_search_group b Q4
#? [P6]
# cut off and kill the white group

# the Atari move seems mess up UCT.
loadsgf sgf/group07a.sgf
100 goal_search_group w E3
#? [E5|E1|H5|J5]
# make two eyes, E5 seems better than E1
# H5 is a sente, so is J5

loadsgf sgf/group09.sgf 150
110 goal_search_group w B8
#? [A7|B6|C9|A11]
# B6 is better, and C9 and A11 are too conservative

loadsgf sgf/group13.sgf 151
120 goal_search_group b R17
#? [T17|S18]
# both moves give ko
# S19 fails

loadsgf sgf/group17.sgf 207
130 goal_search_group b R16
#? [T18|T16|S18]
# simple life & death problem with slight open boundary

loadsgf sgf/group18b.sgf 
140 goal_search_group w R18
#? [T18]
# create seki

loadsgf sgf/group18c.sgf 
150 goal_search_group b R18
#? [PASS]
# simple seki problem, modified from group 18a and
# make the problem completely separate

loadsgf sgf/group19a.sgf
160 goal_search_group b Q12
#? [P14|O14]
# connect to safe groups, modified from group19.sgf

loadsgf sgf/group20a.sgf 
170 goal_search_group b H17
#? [G18]
# block move that also creates eye space

loadsgf sgf/group21.sgf 93
180 goal_search_group b H17
#? [K18|H15|F15]
# defend group, J18 seems good too.

# E1 also works?
loadsgf sgf/group222.sgf 
190 goal_search_group b E3
#? [E2]
# defend group
# then W plays E1 and B plays C3 and it will form a seki

loadsgf sgf/group221.sgf
200 goal_search_group b R3
#? [S3|S4]
# connection move

# group area too big to search
loadsgf sgf/group23.sgf 86
210 goal_search_group w C11
#? [C12]
# connection move

loadsgf sgf/group23.sgf 116
220 goal_search_group w G18
#? [E18|E17]
# block and connection move 

loadsgf sgf/group24.sgf 129
230 goal_search_group b O17
#? [O18|Q18|P19]
# cannot ignore threat. O18 is better

loadsgf sgf/group26.sgf 213
240 goal_search_group b H18
#? [H19]
# critical point for life/death

loadsgf sgf/group26.sgf 203
250 goal_search_group b G16
#? [G17|F17|G18|F18|F19|D19|D18|E19]
# avoid double threats later (white can play D19 then F17)

loadsgf sgf/group27.sgf 94
260 goal_search_group w R7 
#? [R9]
# counter the threat
# due to the wrong group identification of the group at point R7, we manually
# set the group region to search.

loadsgf sgf/ex-gnu-24.sgf 121
270 goal_search_group b K7
#? [K6|L6|K5]
# connect group.

loadsgf sgf/ex-gnu-24.sgf 123
280 goal_search_group b K7
#? [K6]
# run out with group.

loadsgf sgf/ex-gnu-55.sgf 40
290 goal_search_group w C15
#? [D12|B16|F13]
# push on outside

loadsgf sgf/ex-gnu-55a.sgf 
300 goal_search_group w C15
#? [B12|D12|C11|F13]
# expand space on outside

loadsgf sgf/badukiplus20040506a.sgf 138
310 goal_search_group w P18
#? [Q17|P17]
# save cutting stones.

loadsgf sgf/group-attack-defense.2.sgf
320 goal_search_group b F16
#? [G9]
# Defend big group, don't play 'urgent move'

loadsgf sgf/group-attack-defense.3.sgf
330 goal_search_group w T6
#? [S8|S2]

340 goal_search_group b T6
#? [S8|S9|R2|S2]

loadsgf sgf/2003olympiad-gnugo.sgf 32
350 goal_search_group w C2
#? [E2]

loadsgf sgf/Goliath20040308.sgf 41
360 goal_search_group b O17
#? [L17]
# build eyespace in sente before running away. urgent move.

loadsgf sgf/groupcutconnect.1.3.sgf
370 goal_search_group b H3
#? [G3|F3]

loadsgf sgf/groupcutconnect.1.4.sgf
380 goal_search_group b R14
#? [P14|P11]
## P11 is a sente move, white play O11, then black plays P14

loadsgf sgf/groupcutconnect.1.8.sgf 1
390 goal_search_group b F6
#? [G7|F7|F8]

loadsgf sgf/groupcutconnect.1.8.sgf 2
400 goal_search_group w F6
#? [G7]

loadsgf sgf/groupcutconnect.1.8.sgf
410 goal_search_group w F7
#? [F8]

loadsgf sgf/groupcutconnect.1.9.sgf

420 goal_search_group b G14
#? [G12]

430 goal_search_group w G14
#? [H12|E13|G12]

loadsgf sgf/groupcutconnect.1.10.sgf
440 goal_search_group w C7
#? [C6]

loadsgf sgf/groupcutconnect.1.10.2.sgf
450 goal_search_group b F4
#? [F5|H4]

loadsgf sgf/groupcutconnect.1.11.2.sgf
460 goal_search_group w J10
#? [J7|K8]

loadsgf sgf/groupcutconnect.2.sgf 2
470 goal_search_group b N16
#? [N14]

loadsgf sgf/groupcutconnect.2.sgf
480 goal_search_group b N16
#? [N13|M13]

loadsgf sgf/groupcutconnect.2.1.1.2.sgf
490 goal_search_group b N16
#? [M13]

loadsgf sgf/groupcutconnect.3.sgf
500 goal_search_group b E16
#? [E15]
